function xtickNumToDate(gl,dateFormat)
% XTICKNUMTODATE Modify the x-axis of a plot for a DynamicModel model element
% Once a plot is generated by plot(de) where de is a DynamicElement
% belonging to a DynamicModel, this function may be used to turn the
% x-axis into something easier to read.
% Assumes that the time unit for the DynamicModel is seconds

% David Katzin, Wageningen University
% david.katzin@wur.nl
% david.katzin1@gmail.com

    numticks = get(gca,'XTick');
    dateticks = datenum(datenum(gl.t.label)+numticks/86400);
    datestrings = datestr(dateticks,dateFormat);
    xticklabels(datestrings);
end